org.eclipse.wst.jsdt.core.dom.rewrite

## Interface ITrackedNodePosition

    public interface ITrackedNodePosition

A tracked node position is returned when a rewrite change is requested to be tracked.

This interface is not intended to be implemented by clients.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getLength()` Returns the original or modified length of the tracked node depending if called before or after the rewrite is applied.
`int` `getStartPosition()` Returns the original or modified start position of the tracked node depending if called before or after the rewrite is applied.

### Method Detail

#### getStartPosition

    int getStartPosition()

Returns the original or modified start position of the tracked node depending if called before or after the rewrite is applied. `-1` is returned for removed nodes.

Returns:
  the original or modified start position of the tracked node

#### getLength

    int getLength()

Returns the original or modified length of the tracked node depending if called before or after the rewrite is applied. `-1` is returned for removed nodes.

Returns:
  the original or modified length of the tracked node